#include <time.h>
#include "lithos.h"

static unsigned data[31];
static int current;
static int last;

void initRandom()
{
	int i;
	data[0] = time(0);
	for (i = 1; i < 31; i++)
		data[i] = (data[i - 1] * 1103515245) + 12345;
	current = 3;
	last = 0;
	for (i = 0; i < 1000; i++)
		_random();
}

int _random()
{
	current = (current + 1) % 31;
	last = (last + 1) % 31;
	data[current] += data[last];
	return data[current] >> 1;
}

int choose(int a, int b)
{
	return (_random() % (a + b)) < a;
}
