#include <time.h>
#include "lithos.h"

int generations;
int evaluated;
int cpuTime;

int startTime;

void readStatistics(FILE *f)
{
	generations = readInt(f);
	evaluated = readInt(f);
	cpuTime = readInt(f);
}

void writeStatistics(FILE *f)
{
	int t = cpuTime + time(0) - startTime;
	writeCommentedInt(f, "Generations", generations);
	writeCommentedInt(f, "Evaluated", evaluated);
	writeCommentedInt(f, "CPU Time", t);
	fputc('[', f);
	writeInt(f, t / 3600);
	writeString(f, " hours]");
	fputc('\n', f);
}
